
// CHECKSTYLE:OFF

package smila.hackatlon.chansonnier.agent.youtube.messages;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for YouTubeAttributesType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="YouTubeAttributesType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="identifier"/>
 *     &lt;enumeration value="mimeType"/>
 *     &lt;enumeration value="lastModifiedDate"/>
 *     &lt;enumeration value="content"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "YouTubeAttributesType")
@XmlEnum
public enum YouTubeAttributesType {

    @XmlEnumValue("identifier")
    IDENTIFIER("identifier"),
    @XmlEnumValue("mimeType")
    MIME_TYPE("mimeType"),
    @XmlEnumValue("lastModifiedDate")
    LAST_MODIFIED_DATE("lastModifiedDate"),
    @XmlEnumValue("content")
    CONTENT("content");
    private final String value;

    YouTubeAttributesType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static YouTubeAttributesType fromValue(String v) {
        for (YouTubeAttributesType c: YouTubeAttributesType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}

// CHECKSTYLE:ON
