package smila.hackatlon.chansonnier.datamodel.connectivity;

import smila.hackatlon.chansonnier.datamodel.CubrikRecord.IAttachment;
import smila.hackatlon.chansonnier.datamodel.CubrikRecord.IField;

public interface YouTubePageRecord{
	public enum Attachment implements IAttachment{
		htmlContent,video;;
	}
	public enum Field implements IField{
		url,link,pageTitle,description,keywords;
	}
	// Required getter and setter for fields
	public String getUrl();
	public void setUrl(String url);
	public String getLink();
	public void setLink(String link);
	public String getPageTitle();
	public void setPageTitle(String pageTitle);
	public String getDescription();
	public void setDescription(String description);
	public String getKeywords();
	public void setKeywords(String keywords);
	
	// Required getter and setter for attachments
	public String getHtmlContent();
	public void setHtmlContent(String htmlContent);
		
	public byte[] getVideo();
	
	public void setVideo(byte[] bytes);
}
